# _PACKET_RESERVED Struct Reference
[NPF structures and definitions]

Contains a NDIS packet. More...

`#include <Packet.h>`

## Data Fields
LIST_ENTRY | ListElement
| Used to handle lists of packets.
PIRP | Irp
| Irp that performed the request.
PMDL | pMdl
| MDL mapping the buffer of the packet.
BOOLEAN | FreeBufAfterWrite
ULONG | Cpu
| The CPU on which the packet was pulled out of the linked list of free packets.

## Detailed Description

Contains a NDIS packet.

The driver uses this structure to wrap a NDIS_PACKET structure. This allows to handle correctly the callback structure of NdisTransferData(), handling multiple requests and maintaining information about the IRPs to complete.

Definition at line 180 of file Packet.h.

## Field Documentation

ULONG Cpu

The CPU on which the packet was pulled out of the linked list of free packets.

Definition at line 186 of file Packet.h.

BOOLEAN FreeBufAfterWrite

True if the memory buffer associated with the packet must be freed after a call to NdisSend().

Definition at line 184 of file Packet.h.

PIRP Irp

Irp that performed the request.

Definition at line 182 of file Packet.h.

LIST_ENTRY ListElement

Used to handle lists of packets.

Definition at line 181 of file Packet.h.

PMDL pMdl

MDL mapping the buffer of the packet.

Definition at line 183 of file Packet.h.

The documentation for this struct was generated from the following file:

- Packet.h

documentation. Copyright (c) 2002-2005 Politecnico di Torino. Copyright (c) 2005-2009 CACE Technologies. All rights reserved.